#!/usr/bin/env python

import os
import random

import tornado.ioloop
import tornado.web

PORT   = 9999
IMAGES = os.listdir('assets')

class IndexHandler(tornado.web.RequestHandler):
	def get(self):
		username  = self.get_argument('username', None)
		nicknames = self.get_argument('nicknames', '')
		nicknames = nicknames.split(',')
		photo	  = random.choice(IMAGES)

		self.render('searchit.html',
			username=username,
			nicknames=nicknames,
			photo=photo)

class PageHandler(tornado.web.RequestHandler):
	def get(self, first_name, last_name):
		self.write('First: {}, Last: {}'.format(first_name, last_name))

if __name__ == '__main__':
	application = tornado.web.Application([
		(r'/', IndexHandler),
		(r'/assets/(.*)', tornado.web.StaticFileHandler, {'path': 'assets'}),
	], debug=True)
	application.listen(PORT)
		
	tornado.ioloop.IOLoop.current().start()
